Page MenuHomePhabricator

onParserAfterParse() expects exactly 1 parameter, 0 given in /srv/mediawiki/php-1.26wmf5/extensions/Graph/Graph.body.php on line 31
Closed, ResolvedPublic

Description

This is the #3 most-frequent error in fatalmonitor.

Event Timeline

mmodell created this task.May 15 2015, 5:32 AM
mmodell raised the priority of this task from to Needs Triage.
mmodell updated the task description. (Show Details)
mmodell added a subscriber: mmodell.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2015, 5:32 AM

related:

fatal error: Argument 1 passed to Graph\Singleton::onParserAfterParse() must be an instance of Parser, undefined variable given in /srv/mediawiki/php-1.26wmf5/extensions/Graph/Graph.body.php on line 31

Mvolz set Security to None.
TheDJ added a subscriber: TheDJ.May 15 2015, 9:33 PM

This is similar to: T73772.

Basically caused because of invalid call (because the arguments are not documented to be optional) on the hook by Math extension, causing the implementation to be called at times without arguments.

Currently in MathTexvc.php:406

TheDJ added a comment.May 15 2015, 9:49 PM

I'm wondering what the connection is between ParserAfterCache hooks executing and the image being saved.....

Physikerwelt triaged this task as Normal priority.

Change 211401 had a related patch set uploaded (by Physikerwelt):
Add required arguments to ParserAfterParse hook call

https://gerrit.wikimedia.org/r/211401

Physikerwelt moved this task from Incoming to Doing on the Math board.May 16 2015, 2:03 PM

Change 211401 merged by jenkins-bot:
Add required arguments to ParserAfterParse hook call

https://gerrit.wikimedia.org/r/211401

demon closed this task as Resolved.Jun 30 2015, 6:42 PM
demon added a subscriber: demon.

Not seen in production since June 12th, thanks!

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM